startup:
        # configure mpd users
        set user <pptpadmin> admin
        set user <pptpadmin> <pptpadminpass>
        # configure the console
        set console self 0.0.0.0 5005
        set console open
        # configure the web server
        set web self 0.0.0.0 5006
        set web open

default:
        load pptp_server

pptp_server:
# Mpd as a PPTP server compatible with Microsoft Dial-Up Networking clients.
# Define dynamic IP address pool.
	set ippool add pool1 <ip-range1> <ip-range2>
# Create clonable bundle template named B
        create bundle template B
        set iface enable proxy-arp
        set iface idle 1800
        set iface enable tcpmssfix
        set ipcp yes vjcomp

# Specify IP address pool for dynamic assigment.
	set ipcp ranges <mpd-ip-address>/<mask> ippool pool1
	set ipcp dns <dns-server>

# The five lines below enable Microsoft Point-to-Point encryption
# (MPPE) using the ng_mppc(8) netgraph node type.
        set bundle enable compression
        set ccp yes mppc
        set mppc yes e40
        set mppc yes e128
        set mppc yes stateless

# Create clonable link template named L
        create link template L pptp

# Set bundle template to use
        set link action bundle B

# Multilink adds some overhead, but gives full 1500 MTU.
        set link enable multilink
        set link yes acfcomp protocomp
        set link no pap chap eap
        set link enable chap

# Enable utmp/wtmp logging
        set auth enable system-acct

# We reducing link mtu to avoid GRE packet fragmentation.
        set link mtu 1460

# Configure PPTP
        set pptp self <mpd-ip-address>

# Allow to accept calls
        set link enable incoming

